Browse Source

Sync with portage [Fri Sep 16 09:22:13 MSK 2016].

mhiretskiy
root 5 years ago
parent
commit
5f14be362b
  1. 1
      app-doc/doxygen/Manifest
  2. 151
      app-doc/doxygen/doxygen-1.8.12.ebuild
  3. 41
      app-doc/doxygen/doxygen-9999.ebuild
  4. 32
      app-doc/doxygen/files/doxygen-1.8.12-link_with_pthread.patch
  5. 5
      app-editors/gvim/Manifest
  6. 393
      app-editors/gvim/gvim-7.4.1583.ebuild
  7. 393
      app-editors/gvim/gvim-7.4.1821.ebuild
  8. 21
      app-editors/gvim/gvim-8.0.0005.ebuild
  9. 21
      app-editors/gvim/gvim-9999.ebuild
  10. 5
      app-editors/vim-core/Manifest
  11. 223
      app-editors/vim-core/vim-core-7.4.1583.ebuild
  12. 223
      app-editors/vim-core/vim-core-7.4.1821.ebuild
  13. 4
      app-editors/vim-core/vim-core-8.0.0005.ebuild
  14. 4
      app-editors/vim-core/vim-core-9999.ebuild
  15. 5
      app-editors/vim/Manifest
  16. 352
      app-editors/vim/vim-7.4.1583.ebuild
  17. 352
      app-editors/vim/vim-7.4.1821.ebuild
  18. 0
      app-editors/vim/vim-8.0.0005.ebuild
  19. 1
      app-forensics/honggfuzz/Manifest
  20. 40
      app-forensics/honggfuzz/honggfuzz-0.8.ebuild
  21. 2
      app-i18n/fcitx-qt5/fcitx-qt5-1.0.5.ebuild
  22. 2
      app-i18n/fcitx-qt5/fcitx-qt5-9999.ebuild
  23. 4
      app-i18n/fcitx-qt5/files/fcitx-qt5-1.0.5-ucs4.patch
  24. 3
      app-i18n/fcitx/fcitx-4.2.9.1.ebuild
  25. 3
      app-i18n/fcitx/fcitx-9999.ebuild
  26. 4
      app-i18n/fcitx/files/fcitx-4.2.9.1-qt-4_ucs4.patch
  27. 16
      app-i18n/fcitx/files/fcitx-4.2.9.1-tray_icon.patch
  28. 2
      app-i18n/kcm-fcitx/kcm-fcitx-0.4.3.ebuild
  29. 2
      app-i18n/kcm-fcitx/kcm-fcitx-0.4.9999.ebuild
  30. 2
      app-i18n/kcm-fcitx/kcm-fcitx-0.5.3.ebuild
  31. 2
      app-i18n/kcm-fcitx/kcm-fcitx-9999.ebuild
  32. 12
      app-i18n/skk-jisyo/skk-jisyo-201605.ebuild
  33. 12
      app-i18n/skk-jisyo/skk-jisyo-999999.ebuild
  34. 2
      app-shells/bash/Manifest
  35. 4
      app-shells/bash/bash-4.4.ebuild
  36. 4
      dev-cpp/eigen/Manifest
  37. 70
      dev-cpp/eigen/eigen-3.1.3.ebuild
  38. 69
      dev-cpp/eigen/eigen-3.2.5.ebuild
  39. 65
      dev-cpp/eigen/eigen-3.2.6.ebuild
  40. 116
      dev-cpp/eigen/eigen-3.2.7.ebuild
  41. 16
      dev-cpp/eigen/files/eigen-3.0.0-gcc46.patch
  42. 3
      dev-db/sqlite/Manifest
  43. 261
      dev-db/sqlite/sqlite-3.14.2.ebuild
  44. 2
      dev-libs/glib/glib-2.46.2-r3.ebuild
  45. 2
      dev-libs/glib/glib-2.48.1-r1.ebuild
  46. 1
      dev-libs/leatherman/Manifest
  47. 51
      dev-libs/leatherman/leatherman-0.9.1.ebuild
  48. 100
      dev-libs/log4cxx/files/log4cxx-0.10.0-fix-c++14.patch
  49. 0
      dev-libs/log4cxx/files/log4cxx-0.10.0-missing_includes.patch
  50. 55
      dev-libs/log4cxx/log4cxx-0.10.0-r1.ebuild
  51. 4
      dev-perl/Devel-GlobalDestruction/Devel-GlobalDestruction-0.120.0.ebuild
  52. 4
      dev-perl/Devel-GlobalDestruction/Devel-GlobalDestruction-0.130.0.ebuild
  53. 2
      dev-python/columnize/columnize-0.3.9.ebuild
  54. 1
      dev-python/pyflann/Manifest
  55. 37
      dev-python/pyflann/pyflann-1.9.1.ebuild
  56. 58
      games-simulation/bcs-demo/bcs-demo-1.3-r1.ebuild
  57. 79
      games-simulation/searchandrescue/searchandrescue-1.5.0-r1.ebuild
  58. 53
      games-simulation/senken/senken-0.3.0-r1.ebuild
  59. 1
      games-simulation/simutrans/Manifest
  60. 4
      games-simulation/simutrans/files/simutrans-0.120.1.3-Makefile.patch
  61. 69
      games-simulation/simutrans/simutrans-0.120.1.3-r1.ebuild
  62. 50
      games-simulation/singularity/singularity-0.30c-r2.ebuild
  63. 1
      kde-apps/calendarjanitor/calendarjanitor-16.08.1.ebuild
  64. 2
      kde-apps/kcalutils/kcalutils-16.08.1.ebuild
  65. 52
      kde-apps/kde4-l10n/files/kde4-l10n-15.11.90-remove-dirs
  66. 214
      kde-apps/kde4-l10n/files/kde4-l10n-15.12.3-remove-messages
  67. 0
      kde-apps/kde4-l10n/files/kde4-l10n-16.07.80-remove-messages
  68. 0
      kde-apps/kde4-l10n/files/kde4-l10n-16.08.1-remove-dirs
  69. 2
      kde-apps/kdepim-addons/kdepim-addons-16.08.1.ebuild
  70. 2
      kde-apps/kdepim-runtime/kdepim-runtime-16.08.1.ebuild
  71. 2
      kde-apps/libksieve/libksieve-16.08.1.ebuild
  72. 2
      mail-client/sylpheed/Manifest
  73. 61
      mail-client/sylpheed/sylpheed-3.4.3.ebuild
  74. 6
      mail-client/sylpheed/sylpheed-3.5.1.ebuild
  75. 4
      media-libs/fontconfig/fontconfig-2.11.1-r2.ebuild
  76. 2
      media-libs/fontconfig/fontconfig-2.12.0.ebuild
  77. 2
      media-libs/fontconfig/fontconfig-2.12.1.ebuild
  78. 2
      media-libs/libsixel/Manifest
  79. 0
      media-libs/libsixel/libsixel-1.7.2.ebuild
  80. 4
      media-video/gpac/gpac-0.6.1-r1.ebuild
  81. 2
      metadata/dtd/timestamp.chk
  82. 2
      metadata/glsa/timestamp.chk
  83. 15
      metadata/md5-cache/app-doc/doxygen-1.8.12
  84. 6
      metadata/md5-cache/app-doc/doxygen-9999
  85. 14
      metadata/md5-cache/app-editors/gvim-7.4.1583
  86. 14
      metadata/md5-cache/app-editors/gvim-7.4.1821
  87. 10
      metadata/md5-cache/app-editors/gvim-8.0.0005
  88. 6
      metadata/md5-cache/app-editors/gvim-9999
  89. 14
      metadata/md5-cache/app-editors/vim-7.4.1583
  90. 14
      metadata/md5-cache/app-editors/vim-7.4.1821
  91. 6
      metadata/md5-cache/app-editors/vim-8.0.0005
  92. 13
      metadata/md5-cache/app-editors/vim-core-7.4.1583
  93. 13
      metadata/md5-cache/app-editors/vim-core-7.4.1821
  94. 4
      metadata/md5-cache/app-editors/vim-core-8.0.0005
  95. 2
      metadata/md5-cache/app-editors/vim-core-9999
  96. 12
      metadata/md5-cache/app-forensics/honggfuzz-0.8
  97. 4
      metadata/md5-cache/app-i18n/fcitx-4.2.9.1
  98. 4
      metadata/md5-cache/app-i18n/fcitx-9999
  99. 4
      metadata/md5-cache/app-i18n/fcitx-qt5-1.0.5
  100. 4
      metadata/md5-cache/app-i18n/fcitx-qt5-9999

1
app-doc/doxygen/Manifest

@ -1,3 +1,4 @@
DIST doxygen-1.8.10.src.tar.gz 4818276 SHA256 cedf78f6d213226464784ecb999b54515c97eab8a2f9b82514292f837cf88b93 SHA512 a7f29b5f7b9f55b7e5382b7b7dc7212247a27869bc265433c0ee51480645b3f5f0732d1f5aefd54952204c8a1c98b96ec1ecc22c1ff7a072db5b2356b5981074 WHIRLPOOL 5607e1da5cf8e653ec895a7601a3a6585790a555207928bde6d154ab06173c68e088a61c1963da8d8cdc1a571b66eeaa102acc2a2e4291e0be87634d8e554962
DIST doxygen-1.8.11.src.tar.gz 4834291 SHA256 65d08b46e48bd97186aef562dc366681045b119e00f83c5b61d05d37ea154049 SHA512 44f3f9d2715c4cfe628b988809a6264681c43634dfa830f604b6cc853fa6679eca112cc9c01cee5b019f7f01f0a0acdf4f7d3aaec0848783399d17904caf1a3e WHIRLPOOL 240c84bd02ea3ab747e59bb8db434e40e743ed24cbb8ca78b8846d3bb4f7672497106fd620c14851c06d80e474301811978def5d85db5b01df97b40a4ec74813
DIST doxygen-1.8.12.src.tar.gz 4880613 SHA256 792d4091cbdf228549ff2033dd71ff7ea5029c6b436317cc5ec866e71302df6c SHA512 12fb5f19d0de382c7510b7c517d7c781a1e6e11720c7d9ecfd81d29d5ed030984e8d55ffcc25cc52703020e880edad341136e2795a2a36a842fc275b31ae203d WHIRLPOOL 4bd12f16ce9dba73f5bf836032d8ce25d5be7e6b3cbe3c11ce7c662a8059fa30ef2f75c008fb2050fd4eb99d80ba134d068b452dfd577a651291dba5315c0726
DIST doxywizard.png 4231 SHA256 eb648ebd3a194a56d9ed6e47cc8dbf1af2e124d83c2c42af9bf86bd837984209 SHA512 5e2d26e7427b86866ebe75ec2c66c0f1100d230f3f3e4d66bac424a8dd0d42f0831d936ff03318dfa1bf73cbd9fb53717636d0c91ae3eea0f4e24641479d25d5 WHIRLPOOL bb0c13b382c4069ca310ff53a03b36499a2bf6e0e8c0647efc032530f429f483b5d6f2925b7e996d4f84c8f2b77eb883533f4b7abc88745a2cfa596d3dd4f3fb

151
app-doc/doxygen/doxygen-1.8.12.ebuild

@ -0,0 +1,151 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
inherit cmake-utils eutils fdo-mime flag-o-matic python-any-r1
if [[ ${PV} = *9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/doxygen/doxygen.git"
SRC_URI=""
KEYWORDS=""
else
SRC_URI="http://ftp.stack.nl/pub/users/dimitri/${P}.src.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
fi
SRC_URI+=" https://dev.gentoo.org/~xarthisius/distfiles/doxywizard.png"
DESCRIPTION="Documentation system for most programming languages"
HOMEPAGE="http://www.doxygen.org/"
LICENSE="GPL-2"
SLOT="0"
IUSE="clang debug doc dot doxysearch latex qt5 sqlite userland_GNU"
RDEPEND="app-text/ghostscript-gpl
dev-lang/perl
media-libs/libpng:0=
virtual/libiconv
clang? ( sys-devel/clang )
dot? (
media-gfx/graphviz
media-libs/freetype
)
doxysearch? ( =dev-libs/xapian-1.2* )
latex? ( app-text/texlive[extra] )
qt5? (
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
sqlite? ( dev-db/sqlite:3 )
"
REQUIRED_USE="doc? ( latex )"
DEPEND="sys-devel/flex
sys-devel/bison
doc? ( ${PYTHON_DEPS} )
${RDEPEND}"
# src_test() defaults to make -C testing but there is no such directory (bug #504448)
RESTRICT="test"
PATCHES=(
"${FILESDIR}/${PN}-1.8.9.1-empty-line-sigsegv.patch" #454348
"${FILESDIR}/${P}-link_with_pthread.patch"
)
DOCS=( LANGUAGE.HOWTO README.md )
pkg_setup() {
use doc && python-any-r1_pkg_setup
}
src_prepare() {
default
# Ensure we link to -liconv
if use elibc_FreeBSD && has_version dev-libs/libiconv || use elibc_uclibc; then
local pro
for pro in */*.pro.in */*/*.pro.in; do
echo "unix:LIBS += -liconv" >> "${pro}" || die
done
fi
# Call dot with -Teps instead of -Tps for EPS generation - bug #282150
sed -i -e '/addJob("ps"/ s/"ps"/"eps"/g' src/dot.cpp || die
# fix pdf doc
sed -i.orig -e "s:g_kowal:g kowal:" \
doc/maintainers.txt || die
if is-flagq "-O3" ; then
echo
ewarn "Compiling with -O3 is known to produce incorrectly"
ewarn "optimized code which breaks doxygen."
echo
elog "Continuing with -O2 instead ..."
echo
replace-flags "-O3" "-O2"
fi
}
src_configure() {
local mycmakeargs=(
-DDOC_INSTALL_DIR="share/doc/${P}"
-Duse_libclang=$(usex clang)
-Dbuild_doc=$(usex doc)
-Dbuild_search=$(usex doxysearch)
-Dbuild_wizard=$(usex qt5)
-Duse_sqlite3=$(usex sqlite)
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
if use doc; then
export VARTEXFONTS="${T}/fonts" # bug #564944
if ! use dot; then
sed -i -e "s/HAVE_DOT = YES/HAVE_DOT = NO/" \
{Doxyfile,doc/Doxyfile} \
|| die "disabling dot failed"
fi
emake -C "${BUILD_DIR}" docs
fi
}
src_install() {
cmake-utils_src_install
if use qt5; then
doicon "${DISTDIR}/doxywizard.png"
make_desktop_entry doxywizard "DoxyWizard ${PV}" \
"/usr/share/pixmaps/doxywizard.png" \
"Development"
fi
}
pkg_postinst() {
fdo-mime_desktop_database_update
elog
elog "For examples and other goodies, see the source tarball. For some"
elog "example output, run doxygen on the doxygen source using the"
elog "Doxyfile provided in the top-level source dir."
elog
elog "Disabling the dot USE flag will remove the GraphViz dependency,"
elog "along with Doxygen's ability to generate diagrams in the docs."
elog "See the Doxygen homepage for additional helper tools to parse"
elog "more languages."
elog
}
pkg_postrm() {
fdo-mime_desktop_database_update
}

41
app-doc/doxygen/doxygen-9999.ebuild

@ -2,8 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
inherit cmake-utils eutils fdo-mime flag-o-matic python-any-r1
if [[ ${PV} = *9999* ]]; then
@ -45,33 +45,35 @@ RDEPEND="app-text/ghostscript-gpl
REQUIRED_USE="doc? ( latex )"
DEPEND="sys-apps/sed
sys-devel/flex
DEPEND="sys-devel/flex
sys-devel/bison
doc? ( ${PYTHON_DEPS} )
${RDEPEND}"
# src_test() defaults to make -C testing but there is no such directory (bug #504448)
RESTRICT="test"
EPATCH_SUFFIX="patch"
PATCHES=( "${FILESDIR}/${PN}-1.8.11-link_with_pthread.patch" )
DOCS=( LANGUAGE.HOWTO README.md )
pkg_setup() {
use doc && python-any-r1_pkg_setup
}
src_prepare() {
default
# Ensure we link to -liconv
if use elibc_FreeBSD && has_version dev-libs/libiconv || use elibc_uclibc; then
local pro
for pro in */*.pro.in */*/*.pro.in; do
echo "unix:LIBS += -liconv" >> "${pro}"
echo "unix:LIBS += -liconv" >> "${pro}" || die
done
fi
# Call dot with -Teps instead of -Tps for EPS generation - bug #282150
sed -i -e '/addJob("ps"/ s/"ps"/"eps"/g' src/dot.cpp || die
epatch "${FILESDIR}"/${PN}-1.8.11-link_with_pthread.patch
# fix pdf doc
sed -i.orig -e "s:g_kowal:g kowal:" \
doc/maintainers.txt || die
@ -90,11 +92,11 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
-DDOC_INSTALL_DIR="share/doc/${P}"
$(cmake-utils_use clang use_libclang)
$(cmake-utils_use doc build_doc)
$(cmake-utils_use doxysearch build_search)
$(cmake-utils_use qt5 build_wizard)
$(cmake-utils_use sqlite use_sqlite3)
-Duse_libclang=$(usex clang)
-Dbuild_doc=$(usex doc)
-Dbuild_search=$(usex doxysearch)
-Dbuild_wizard=$(usex qt5)
-Duse_sqlite3=$(usex sqlite)
)
cmake-utils_src_configure
@ -103,32 +105,27 @@ src_configure() {
src_compile() {
cmake-utils_src_compile
# generate html and pdf documents. errors here are not considered
# fatal, hence the ewarn message.
if use doc; then
export VARTEXFONTS="${T}/fonts" # bug #564944
if ! use dot; then
sed -i -e "s/HAVE_DOT = YES/HAVE_DOT = NO/" \
{Doxyfile,doc/Doxyfile} \
|| ewarn "disabling dot failed"
|| die "disabling dot failed"
fi
cd "${BUILD_DIR}" && emake docs
emake -C "${BUILD_DIR}" docs
fi
}
src_install() {
cmake-utils_src_install
if use qt5; then
doicon "${DISTDIR}/doxywizard.png"
make_desktop_entry doxywizard "DoxyWizard ${PV}" \
"/usr/share/pixmaps/doxywizard.png" \
"Development"
fi
dodoc LANGUAGE.HOWTO README.md
cmake-utils_src_install
}
pkg_postinst() {

32
app-doc/doxygen/files/doxygen-1.8.12-link_with_pthread.patch

@ -0,0 +1,32 @@
diff --git a/addon/doxysearch/CMakeLists.txt b/addon/doxysearch/CMakeLists.txt
index 33e01c1..165fc3e 100644
--- a/addon/doxysearch/CMakeLists.txt
+++ b/addon/doxysearch/CMakeLists.txt
@@ -20,6 +20,7 @@ target_link_libraries(doxyindexer
${ZLIB_LIBRARIES}
${WIN_EXTRA_LIBS}
qtools
+ pthread
)
add_executable(doxysearch.cgi
@@ -29,6 +30,7 @@ target_link_libraries(doxysearch.cgi
${XAPIAN_LIBRARIES}
${ZLIB_LIBRARIES}
${WIN_EXTRA_LIBS}
+ pthread
)
install(TARGETS doxyindexer doxysearch.cgi DESTINATION bin)
diff --git a/addon/doxywizard/CMakeLists.txt b/addon/doxywizard/CMakeLists.txt
index bf2eda8..8eb2a1c 100644
--- a/addon/doxywizard/CMakeLists.txt
+++ b/addon/doxywizard/CMakeLists.txt
@@ -109,6 +109,7 @@ ${doxywizard_RESOURCES_RCC}
qt_use_modules(doxywizard Core Gui Widgets Xml)
target_link_libraries(doxywizard
${QT_LIBRARIES} ${QT_QTMAIN_LIBRARY}
+pthread
)
install(TARGETS doxywizard DESTINATION bin)

5
app-editors/gvim/Manifest

@ -1,8 +1,5 @@
DIST vim-7.4.1583.tar.gz 12559634 SHA256 dbe697fcacca5c50535714a31dbd02e7691943491c4004a867edd4a6fcdc9cf5 SHA512 6e049ea8e711382fd4f69360afaeac904ad7721ccb7bf9990754983efd66963e1bc24919483ac8f4cbededcd22e1e58c2e246d524f059a0648600e49b550fc2b WHIRLPOOL a4e18bfa89b1a2620e96b6688cac41bed8d68d3adb7f8c7b3580a9ae40df0c39d612c051c73b2b91cf3d5d18348651e4bd4808f40b44132ebcc648bc554e451f
DIST vim-7.4.1821.tar.gz 12565373 SHA256 452b6346f64b23ab0e7483091ddc09b62540f149fa786bdd14d6712d8b66e1cf SHA512 6bc3698c715860837ab264b9312207f85e0c2a603c15eca92678f301175db93195d83d3f26c4815fc6f0757e5051945b88ce415f358b7396520df6231314cc64 WHIRLPOOL 3699966e5c599ca9090486006a8e1bab5720854f9c44fc249f5cb31d6198e048a6523697ce6416c835154c737ffab87482a72ebe1af321874eef3461b69de90b
DIST vim-7.4.2102-gentoo-patches.tar.bz2 2308 SHA256 1928059fe173b3abf66a96a8205c2e46b5320639d62385aeeae760e99820da67 SHA512 4e678b214fc7b1be89728b8151335ca8af332e8b0c0e25c27287a38ad5ccf14d5dcf82d5dd86af9aa502df4fae986aba98104f150b49a880e34f8283e8e63574 WHIRLPOOL 8a53a8980418f16f8c7883409dea49cfc758fc29dcfaab36f1bd6ae53b32211870a95361c8b63cdfe50795ea11958b113c9909ed6d29de5cb3696efc6ff7888b
DIST vim-7.4.2102.tar.gz 12838026 SHA256 19c059b2d0e61effcd288e2a18969017cbbc031cf19fe775b3f4b4c42bda2578 SHA512 9cf80b1c9e2dd8713b9ba33c39917a8771c7378ae59c2dc1809bf0cabc4545547ad0a5b9f0b87cef2b34f6d1f72b135d1217495716fc482a70a16e1097bd88a2 WHIRLPOOL 301d41e9bf9a6a220776d6e32ab2918c6a8aaf33862725fba9c738e0c99921e631d8c2fdfd9bc2dc9a214a9124ecfa113081a86addf79b023e8421471843f869
DIST vim-7.4.542-gentoo-patches.tar.bz2 3307 SHA256 0eb635f13e199de77846e0d363a473882f2186f138158271fabf0975747a2f3d SHA512 446c66764dac2533cc2f2b3d50481971d4c63a4e81d94c545862a1be620179fdcd81a79f2d81737d1188812a6ad41d90e2a752a05acf6913e7a71464f7cecdd9 WHIRLPOOL cfca8feef0eb8096897ef751afb0427acddd008530ded6cf908fcff51be9713da4ea3e5e613d544c5caba400d664ae19ca70925df3a218bec5c8be6f69aadda2
DIST vim-7.4.769.tar.gz 12189043 SHA256 c89568f3dfcefd773bfbb0958c1cf58a0b0ceedb9d0c264250b379a77ad02e9e SHA512 00048c1d579c409767308c991e5de4ed54e9e50db7e97b0d148f0667742d5e46047c702bee693a5caf13a1603548ab783f7fa846574841d807ffbaa97d7f611e WHIRLPOOL 28ada4763250bbed6f9a1768e81a79b75db64f0ef25296c5d4825f21d21d6e88ff24d488e841e6ba492e363da6d3a3e75e9ec2f2881a731e7ed261c7d21ffd3c
DIST vim-7.4.827-gentoo-patches.tar.bz2 3106 SHA256 1d2bb395fa79dde8e3dbc0a94e4b9591f9cb544d4e52a1ecd2eac4122e55b740 SHA512 122dbcdee115ce0979ce8c5a54623ed405e889fb18967d7c9208d924bd62a7dd615544538040aef19449410c0ea5783c1832a317a1afd056d4d387c43e7a5988 WHIRLPOOL 23afe4d61b8c2f6a4d7e0e3a64a0d7c79a72ea3c317d93e969f01706c666217d19c866db56e0b09428c77d44e2adbf86edbbf4f3dbe521481c234cc66c0bafed
DIST vim-8.0.0004.tar.gz 12909073 SHA256 3ba0aeaf86c9f89ea55d6144b82f36f82d3ad5b7efcd393d0689e6ec2ca970ef SHA512 d52a30df952e6b3a5b3ee6c3dd2a5ee48573286fab9ae6955ac79c67087f22748a910a35cfed1badff99614daf28eecefd3b16eb2e0da0fae184eee32e09dfd6 WHIRLPOOL 7053e543ff2437a3f46e47e7af02cdec74f2f25a9a519872c0dfe207c828b51279af62dbc4a06977bac782e91a4d59c51d96ec16d3c22c7373f6a3a87f320e2d
DIST vim-8.0.0005.tar.gz 12909267 SHA256 4ad6b4e8fad6412724a665d974e1be3138a9562a5f4f4aab17debf709c1d3ad3 SHA512 3d62557c6929e554c50f8043658665b907b235f180d8917288fc1434237856df7fa098ecb1823e6edea9e5735564cb55869e535350e52fd8c22423480a49438d WHIRLPOOL a80eec04afb2a797837874ec4b035268a20be7cefa487e44e8e441fb518d46cd7e16a263a6256f49e23e60e737b14dc6a7d93d7c3e579d3da13ccee48536b41b

393
app-editors/gvim/gvim-7.4.1583.ebuild

@ -1,393 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1 prefix python-r1
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-7.4.827-gentoo-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
fi
DESCRIPTION="GUI version of the Vim text editor"
HOMEPAGE="http://www.vim.org/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="acl aqua cscope debug gnome gtk lua luajit motif neXt netbeans nls perl python racket ruby selinux session tcl"
REQUIRED_USE="
luajit? ( lua )
python? (
|| ( $(python_gen_useflags '*') )
?? ( $(python_gen_useflags 'python2*') )
?? ( $(python_gen_useflags 'python3*') )
)
"
RDEPEND="
~app-editors/vim-core-${PV}
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
x11-libs/libXext
x11-libs/libXt
acl? ( kernel_linux? ( sys-apps/acl ) )
!aqua? (
gtk? (
>=x11-libs/gtk+-2.6:2
x11-libs/libXft
gnome? ( >=gnome-base/libgnomeui-2.6 )
)
!gtk? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
neXt? ( x11-libs/neXtaw )
!neXt? ( x11-libs/libXaw )
)
)
)
cscope? ( dev-util/cscope )
lua? (
luajit? ( dev-lang/luajit:2= )
!luajit? ( dev-lang/lua:0[deprecated] )
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
selinux? ( sys-libs/libselinux )
session? ( x11-libs/libSM )
tcl? ( dev-lang/tcl:0= )
"
DEPEND="${RDEPEND}
dev-util/ctags
sys-devel/autoconf
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
S=${WORKDIR}/vim-${PV}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
export HOME="${T}"/home
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
if [[ -d "${WORKDIR}"/patches/ ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
epatch "${WORKDIR}"/patches/
fi
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.in || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.in || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
sed -i '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
epatch_user
}
src_configure() {
local myconf=()
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.in is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
done
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
--disable-gpm
--enable-multibyte
$(use_enable acl)
$(use_enable cscope)
$(use_enable lua luainterp)
$(use_with luajit)
$(use_enable netbeans)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable session xsmp)
$(use_enable tcl tclinterp)
)
if use python ; then
py_add_interp() {
local v
[[ ${EPYTHON} == python3* ]] && v=3
myconf+=(
--enable-python${v}interp
vi_cv_path_python${v}="${PYTHON}"
)
}
python_foreach_impl py_add_interp
else
myconf+=(
--disable-pythoninterp
--disable-python3interp
)
fi
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope ; then
sed -i '/# define FEAT_CSCOPE/d' src/feature.h || \
die "couldn't disable cscope"
fi
# gvim's GUI preference order is as follows:
# aqua CARBON (not tested)
# -aqua gtk gnome GNOME2
# -aqua gtk -gnome GTK2
# -aqua -gtk motif MOTIF
# -aqua -gtk -motif neXt NEXTAW
# -aqua -gtk -motif -neXt ATHENA
echo ; echo
if use aqua ; then
einfo "Building gvim with the Carbon GUI"
myconf+=(
--enable-darwin
--enable-gui=carbon
)
elif use gtk ; then
myconf+=( --enable-gtk2-check )
if use gnome ; then
einfo "Building gvim with the Gnome 2 GUI"
myconf+=( --enable-gui=gnome2 )
else
einfo "Building gvim with the gtk+-2 GUI"
myconf+=( --enable-gui=gtk2 )
fi
elif use motif ; then
einfo "Building gvim with the MOTIF GUI"
myconf+=( --enable-gui=motif )
elif use neXt ; then
einfo "Building gvim with the neXtaw GUI"
myconf+=( --enable-gui=nextaw )
else
einfo "Building gvim with the Athena GUI"
myconf+=( --enable-gui=athena )
fi
echo ; echo
# Let Portage do the stripping. Some people like that.
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# Keep Gentoo Prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if [[ ${CHOST} == *-interix* ]]; then
# avoid finding of this function, to avoid having to patch either
# configure or the source, which would be much more hackish.
# after all vim does it right, only interix is badly broken (again)
export ac_cv_func_sigaction=no
fi
econf \
--with-modified-by=Gentoo-${PVR} \
--with-vim-name=gvim \
--with-x \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
echo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
echo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
echo
# Don't let vim talk to X
unset DISPLAY
# Make gvim not try to connect to X. See :help gui-x11-start in vim for how
# this evil trickery works.
ln -s "${S}"/src/gvim "${S}"/src/testvim || die
# Make sure our VIMPROG is used.
sed -i 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
# Don't do additional GUI tests.
emake -j1 VIMPROG=../testvim -C src/testdir nongui
}
# Make convenience symlinks, hopefully without stepping on toes. Some
# of these links are "owned" by the vim ebuild when it is installed,
# but they might be good for gvim as well (see bug 45828)
update_vim_symlinks() {
local f syms
syms="vimdiff rvim rview"
einfo "Calling eselect vi update..."
# Call this with --if-unset to respect user's choice (bug 187449)
eselect vi update --if-unset
# Make or remove convenience symlink, vim -> gvim
if [[ -f "${EROOT}"/usr/bin/gvim ]]; then
ln -s gvim "${EROOT}"/usr/bin/vim 2>/dev/null
elif [[ -L "${EROOT}"/usr/bin/vim && ! -f "${EROOT}"/usr/bin/vim ]]; then
rm "${EROOT}"/usr/bin/vim
fi
# Make or remove convenience symlinks to vim
if [[ -f "${EROOT}"/usr/bin/vim ]]; then
for f in ${syms}; do
ln -s vim "${EROOT}"/usr/bin/${f} 2>/dev/null
done
else
for f in ${syms}; do
if [[ -L "${EROOT}"/usr/bin/${f} && ! -f "${EROOT}"/usr/bin/${f} ]]; then
rm -f "${EROOT}"/usr/bin/${f}
fi
done
fi
# This will still break if you merge then remove the vi package,
# but there's only so much you can do, eh? Unfortunately we don't
# have triggers like are done in rpm-land.
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dobin src/gvim
dosym gvim /usr/bin/gvimdiff
dosym gvim /usr/bin/evim
dosym gvim /usr/bin/eview
dosym gvim /usr/bin/gview
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1
echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1
insinto /etc/vim
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
newmenu "${FILESDIR}"/gvim.desktop-r2 gvim.desktop
doicon "${FILESDIR}"/gvim.xpm
doicon -s scalable "${FILESDIR}"/gvim.svg
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
# Make convenience symlinks
update_vim_symlinks
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
# Make convenience symlinks
update_vim_symlinks
}

393
app-editors/gvim/gvim-7.4.1821.ebuild

@ -1,393 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1 prefix python-r1
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-7.4.827-gentoo-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
fi
DESCRIPTION="GUI version of the Vim text editor"
HOMEPAGE="http://www.vim.org/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="acl aqua cscope debug gnome gtk lua luajit motif neXt netbeans nls perl python racket ruby selinux session tcl"
REQUIRED_USE="
luajit? ( lua )
python? (
|| ( $(python_gen_useflags '*') )
?? ( $(python_gen_useflags 'python2*') )
?? ( $(python_gen_useflags 'python3*') )
)
"
RDEPEND="
~app-editors/vim-core-${PV}
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
x11-libs/libXext
x11-libs/libXt
acl? ( kernel_linux? ( sys-apps/acl ) )
!aqua? (
gtk? (
>=x11-libs/gtk+-2.6:2
x11-libs/libXft
gnome? ( >=gnome-base/libgnomeui-2.6 )
)
!gtk? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
neXt? ( x11-libs/neXtaw )
!neXt? ( x11-libs/libXaw )
)
)
)
cscope? ( dev-util/cscope )
lua? (
luajit? ( dev-lang/luajit:2= )
!luajit? ( dev-lang/lua:0[deprecated] )
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
selinux? ( sys-libs/libselinux )
session? ( x11-libs/libSM )
tcl? ( dev-lang/tcl:0= )
"
DEPEND="${RDEPEND}
dev-util/ctags
sys-devel/autoconf
virtual/pkgconfig
nls? ( sys-devel/gettext )
"
S=${WORKDIR}/vim-${PV}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
export HOME="${T}"/home
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
if [[ -d "${WORKDIR}"/patches/ ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
epatch "${WORKDIR}"/patches/
fi
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.in || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.in || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
sed -i '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
epatch_user
}
src_configure() {
local myconf=()
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.in is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
done
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
--disable-gpm
--enable-multibyte
$(use_enable acl)
$(use_enable cscope)
$(use_enable lua luainterp)
$(use_with luajit)
$(use_enable netbeans)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable session xsmp)
$(use_enable tcl tclinterp)
)
if use python ; then
py_add_interp() {
local v
[[ ${EPYTHON} == python3* ]] && v=3
myconf+=(
--enable-python${v}interp
vi_cv_path_python${v}="${PYTHON}"
)
}
python_foreach_impl py_add_interp
else
myconf+=(
--disable-pythoninterp
--disable-python3interp
)
fi
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope ; then
sed -i '/# define FEAT_CSCOPE/d' src/feature.h || \
die "couldn't disable cscope"
fi
# gvim's GUI preference order is as follows:
# aqua CARBON (not tested)
# -aqua gtk gnome GNOME2
# -aqua gtk -gnome GTK2
# -aqua -gtk motif MOTIF
# -aqua -gtk -motif neXt NEXTAW
# -aqua -gtk -motif -neXt ATHENA
echo ; echo
if use aqua ; then
einfo "Building gvim with the Carbon GUI"
myconf+=(
--enable-darwin
--enable-gui=carbon
)
elif use gtk ; then
myconf+=( --enable-gtk2-check )
if use gnome ; then
einfo "Building gvim with the Gnome 2 GUI"
myconf+=( --enable-gui=gnome2 )
else
einfo "Building gvim with the gtk+-2 GUI"
myconf+=( --enable-gui=gtk2 )
fi
elif use motif ; then
einfo "Building gvim with the MOTIF GUI"
myconf+=( --enable-gui=motif )
elif use neXt ; then
einfo "Building gvim with the neXtaw GUI"
myconf+=( --enable-gui=nextaw )
else
einfo "Building gvim with the Athena GUI"
myconf+=( --enable-gui=athena )
fi
echo ; echo
# Let Portage do the stripping. Some people like that.
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# Keep Gentoo Prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if [[ ${CHOST} == *-interix* ]]; then
# avoid finding of this function, to avoid having to patch either
# configure or the source, which would be much more hackish.
# after all vim does it right, only interix is badly broken (again)
export ac_cv_func_sigaction=no
fi
econf \
--with-modified-by=Gentoo-${PVR} \
--with-vim-name=gvim \
--with-x \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
echo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
echo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
echo
# Don't let vim talk to X
unset DISPLAY
# Make gvim not try to connect to X. See :help gui-x11-start in vim for how
# this evil trickery works.
ln -s "${S}"/src/gvim "${S}"/src/testvim || die
# Make sure our VIMPROG is used.
sed -i 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
# Don't do additional GUI tests.
emake -j1 VIMPROG=../testvim -C src/testdir nongui
}
# Make convenience symlinks, hopefully without stepping on toes. Some
# of these links are "owned" by the vim ebuild when it is installed,
# but they might be good for gvim as well (see bug 45828)
update_vim_symlinks() {
local f syms
syms="vimdiff rvim rview"
einfo "Calling eselect vi update..."
# Call this with --if-unset to respect user's choice (bug 187449)
eselect vi update --if-unset
# Make or remove convenience symlink, vim -> gvim
if [[ -f "${EROOT}"/usr/bin/gvim ]]; then
ln -s gvim "${EROOT}"/usr/bin/vim 2>/dev/null
elif [[ -L "${EROOT}"/usr/bin/vim && ! -f "${EROOT}"/usr/bin/vim ]]; then
rm "${EROOT}"/usr/bin/vim
fi
# Make or remove convenience symlinks to vim
if [[ -f "${EROOT}"/usr/bin/vim ]]; then
for f in ${syms}; do
ln -s vim "${EROOT}"/usr/bin/${f} 2>/dev/null
done
else
for f in ${syms}; do
if [[ -L "${EROOT}"/usr/bin/${f} && ! -f "${EROOT}"/usr/bin/${f} ]]; then
rm -f "${EROOT}"/usr/bin/${f}
fi
done
fi
# This will still break if you merge then remove the vi package,
# but there's only so much you can do, eh? Unfortunately we don't
# have triggers like are done in rpm-land.
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dobin src/gvim
dosym gvim /usr/bin/gvimdiff
dosym gvim /usr/bin/evim
dosym gvim /usr/bin/eview
dosym gvim /usr/bin/gview
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1
echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1
insinto /etc/vim
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
newmenu "${FILESDIR}"/gvim.desktop-r2 gvim.desktop
doicon "${FILESDIR}"/gvim.xpm
doicon -s scalable "${FILESDIR}"/gvim.svg
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
# Make convenience symlinks
update_vim_symlinks
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
# Make convenience symlinks
update_vim_symlinks
}

21
app-editors/gvim/gvim-8.0.0004.ebuild → app-editors/gvim/gvim-8.0.0005.ebuild

@ -6,7 +6,7 @@ EAPI=6
VIM_VERSION="8.0"
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1 prefix python-r1
inherit eutils vim-doc flag-o-matic fdo-mime gnome2-utils versionator bash-completion-r1 prefix python-r1
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
@ -359,6 +359,8 @@ src_install() {
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1
@ -368,16 +370,13 @@ src_install() {
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
newmenu "${FILESDIR}"/gvim.desktop-r2 gvim.desktop
doicon "${FILESDIR}"/gvim.xpm
doicon -s scalable "${FILESDIR}"/gvim.svg
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
# don't install vim desktop file
rm "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
}
pkg_postinst() {
@ -385,7 +384,10 @@ pkg_postinst() {
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
# Update icon cache
gnome2_icon_cache_update
# Make convenience symlinks
update_vim_symlinks
@ -396,7 +398,10 @@ pkg_postrm() {
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
# Update icon cache
gnome2_icon_cache_update
# Make convenience symlinks
update_vim_symlinks

21
app-editors/gvim/gvim-9999.ebuild

@ -6,7 +6,7 @@ EAPI=6
VIM_VERSION="8.0"
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
PYTHON_REQ_USE=threads
inherit eutils vim-doc flag-o-matic fdo-mime versionator bash-completion-r1 prefix python-r1
inherit eutils vim-doc flag-o-matic fdo-mime gnome2-utils versionator bash-completion-r1 prefix python-r1
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
@ -359,6 +359,8 @@ src_install() {
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1
@ -368,16 +370,13 @@ src_install() {
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
newmenu "${FILESDIR}"/gvim.desktop-r2 gvim.desktop
doicon "${FILESDIR}"/gvim.xpm
doicon -s scalable "${FILESDIR}"/gvim.svg
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
# don't install vim desktop file
rm "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
}
pkg_postinst() {
@ -385,7 +384,10 @@ pkg_postinst() {
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
# Update icon cache
gnome2_icon_cache_update
# Make convenience symlinks
update_vim_symlinks
@ -396,7 +398,10 @@ pkg_postrm() {
update_vim_helptags
# Update fdo mime stuff, bug #78394
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
# Update icon cache
gnome2_icon_cache_update
# Make convenience symlinks
update_vim_symlinks

5
app-editors/vim-core/Manifest

@ -1,8 +1,5 @@
DIST vim-7.4.1583.tar.gz 12559634 SHA256 dbe697fcacca5c50535714a31dbd02e7691943491c4004a867edd4a6fcdc9cf5 SHA512 6e049ea8e711382fd4f69360afaeac904ad7721ccb7bf9990754983efd66963e1bc24919483ac8f4cbededcd22e1e58c2e246d524f059a0648600e49b550fc2b WHIRLPOOL a4e18bfa89b1a2620e96b6688cac41bed8d68d3adb7f8c7b3580a9ae40df0c39d612c051c73b2b91cf3d5d18348651e4bd4808f40b44132ebcc648bc554e451f
DIST vim-7.4.1821.tar.gz 12565373 SHA256 452b6346f64b23ab0e7483091ddc09b62540f149fa786bdd14d6712d8b66e1cf SHA512 6bc3698c715860837ab264b9312207f85e0c2a603c15eca92678f301175db93195d83d3f26c4815fc6f0757e5051945b88ce415f358b7396520df6231314cc64 WHIRLPOOL 3699966e5c599ca9090486006a8e1bab5720854f9c44fc249f5cb31d6198e048a6523697ce6416c835154c737ffab87482a72ebe1af321874eef3461b69de90b
DIST vim-7.4.2102-gentoo-patches.tar.bz2 2308 SHA256 1928059fe173b3abf66a96a8205c2e46b5320639d62385aeeae760e99820da67 SHA512 4e678b214fc7b1be89728b8151335ca8af332e8b0c0e25c27287a38ad5ccf14d5dcf82d5dd86af9aa502df4fae986aba98104f150b49a880e34f8283e8e63574 WHIRLPOOL 8a53a8980418f16f8c7883409dea49cfc758fc29dcfaab36f1bd6ae53b32211870a95361c8b63cdfe50795ea11958b113c9909ed6d29de5cb3696efc6ff7888b
DIST vim-7.4.2102.tar.gz 12838026 SHA256 19c059b2d0e61effcd288e2a18969017cbbc031cf19fe775b3f4b4c42bda2578 SHA512 9cf80b1c9e2dd8713b9ba33c39917a8771c7378ae59c2dc1809bf0cabc4545547ad0a5b9f0b87cef2b34f6d1f72b135d1217495716fc482a70a16e1097bd88a2 WHIRLPOOL 301d41e9bf9a6a220776d6e32ab2918c6a8aaf33862725fba9c738e0c99921e631d8c2fdfd9bc2dc9a214a9124ecfa113081a86addf79b023e8421471843f869
DIST vim-7.4.542-gentoo-patches.tar.bz2 3307 SHA256 0eb635f13e199de77846e0d363a473882f2186f138158271fabf0975747a2f3d SHA512 446c66764dac2533cc2f2b3d50481971d4c63a4e81d94c545862a1be620179fdcd81a79f2d81737d1188812a6ad41d90e2a752a05acf6913e7a71464f7cecdd9 WHIRLPOOL cfca8feef0eb8096897ef751afb0427acddd008530ded6cf908fcff51be9713da4ea3e5e613d544c5caba400d664ae19ca70925df3a218bec5c8be6f69aadda2
DIST vim-7.4.769.tar.gz 12189043 SHA256 c89568f3dfcefd773bfbb0958c1cf58a0b0ceedb9d0c264250b379a77ad02e9e SHA512 00048c1d579c409767308c991e5de4ed54e9e50db7e97b0d148f0667742d5e46047c702bee693a5caf13a1603548ab783f7fa846574841d807ffbaa97d7f611e WHIRLPOOL 28ada4763250bbed6f9a1768e81a79b75db64f0ef25296c5d4825f21d21d6e88ff24d488e841e6ba492e363da6d3a3e75e9ec2f2881a731e7ed261c7d21ffd3c
DIST vim-7.4.827-gentoo-patches.tar.bz2 3106 SHA256 1d2bb395fa79dde8e3dbc0a94e4b9591f9cb544d4e52a1ecd2eac4122e55b740 SHA512 122dbcdee115ce0979ce8c5a54623ed405e889fb18967d7c9208d924bd62a7dd615544538040aef19449410c0ea5783c1832a317a1afd056d4d387c43e7a5988 WHIRLPOOL 23afe4d61b8c2f6a4d7e0e3a64a0d7c79a72ea3c317d93e969f01706c666217d19c866db56e0b09428c77d44e2adbf86edbbf4f3dbe521481c234cc66c0bafed
DIST vim-8.0.0004.tar.gz 12909073 SHA256 3ba0aeaf86c9f89ea55d6144b82f36f82d3ad5b7efcd393d0689e6ec2ca970ef SHA512 d52a30df952e6b3a5b3ee6c3dd2a5ee48573286fab9ae6955ac79c67087f22748a910a35cfed1badff99614daf28eecefd3b16eb2e0da0fae184eee32e09dfd6 WHIRLPOOL 7053e543ff2437a3f46e47e7af02cdec74f2f25a9a519872c0dfe207c828b51279af62dbc4a06977bac782e91a4d59c51d96ec16d3c22c7373f6a3a87f320e2d
DIST vim-8.0.0005.tar.gz 12909267 SHA256 4ad6b4e8fad6412724a665d974e1be3138a9562a5f4f4aab17debf709c1d3ad3 SHA512 3d62557c6929e554c50f8043658665b907b235f180d8917288fc1434237856df7fa098ecb1823e6edea9e5735564cb55869e535350e52fd8c22423480a49438d WHIRLPOOL a80eec04afb2a797837874ec4b035268a20be7cefa487e44e8e441fb518d46cd7e16a263a6256f49e23e60e737b14dc6a7d93d7c3e579d3da13ccee48536b41b

223
app-editors/vim-core/vim-core-7.4.1583.ebuild

@ -1,223 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
inherit eutils vim-doc flag-o-matic versionator bash-completion-r1 prefix
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-7.4.827-gentoo-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="vim and gvim shared files"
HOMEPAGE="http://www.vim.org/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="nls acl minimal"
DEPEND="sys-devel/autoconf"
PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
S=${WORKDIR}/vim-${PV}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
export HOME="${T}"/home
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
if [[ -d "${WORKDIR}"/patches/ ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
epatch "${WORKDIR}"/patches/
fi
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.in || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.in || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
epatch_user
}
src_configure() {
local myconf
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.in is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
done
# Let Portage do the stripping. Some people like that.
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# Keep Gentoo Prefix env contained within the EPREFIX
use prefix && myconf+=" --without-local-dir"
econf \
--with-modified-by=Gentoo-${PVR} \
--enable-gui=no \
--without-x \
--disable-darwin \
--disable-perlinterp \
--disable-pythoninterp \
--disable-rubyinterp \
--disable-gpm \
--disable-selinux \
$(use_enable nls) \
$(use_enable acl) \
${myconf}
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake tools
}
src_test() { :; }
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dodir /usr/{bin,share/{man/man1,vim}}
cd src || die "cd src failed"
emake \
installruntime \
installmanlinks \
installmacros \
installtutor \
installtutorbin \
installtools \
install-languages \
install-icons \
DESTDIR="${D}" \
BINDIR="${EPREFIX}"/usr/bin \
MANDIR="${EPREFIX}"/usr/share/man \
DATADIR="${EPREFIX}"/usr/share
keepdir ${vimfiles}/keymap
# default vimrc is installed by vim-core since it applies to
# both vim and gvim
insinto /etc/vim/
newins "${FILESDIR}"/vimrc-r4 vimrc
eprefixify "${ED}"/etc/vim/vimrc
if use minimal ; then
# To save space, install only a subset of the files.
# Helps minimalize the livecd, bug 65144.
eshopts_push -s extglob
rm -fr "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent}
rm -fr "${ED}${vimfiles}"/{macros,print,tools,tutor}
rm "${ED}"/usr/bin/vimtutor
local keep_colors="default"
ignore=$(rm -fr "${ED}${vimfiles}"/colors/!(${keep_colors}).vim )
local keep_syntax="conf|crontab|fstab|inittab|resolv|sshdconfig"
# tinkering with the next line might make bad things happen ...
keep_syntax="${keep_syntax}|syntax|nosyntax|synload"
ignore=$(rm -fr "${ED}${vimfiles}"/syntax/!(${keep_syntax}).vim )
eshopts_pop
fi
# These files might have slight security issues, so we won't
# install them. See bug #77841. We don't mind if these don't
# exist.
rm "${ED}${vimfiles}"/tools/{vimspell.sh,tcltags} 2>/dev/null
newbashcomp "${FILESDIR}"/xxd-completion xxd
# We shouldn't be installing the ex or view man page symlinks, as they
# are managed by eselect-vi
rm -f "${ED}"/usr/share/man/man1/{ex,view}.1
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
}

223
app-editors/vim-core/vim-core-7.4.1821.ebuild

@ -1,223 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
VIM_VERSION="7.4"
inherit eutils vim-doc flag-o-matic versionator bash-completion-r1 prefix
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://dev.gentoo.org/~radhermit/vim/vim-7.4.827-gentoo-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="vim and gvim shared files"
HOMEPAGE="http://www.vim.org/ https://github.com/vim/vim"
SLOT="0"
LICENSE="vim"
IUSE="nls acl minimal"
DEPEND="sys-devel/autoconf"
PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
S=${WORKDIR}/vim-${PV}
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
# Gnome sandbox silliness. bug #114475.
mkdir -p "${T}"/home
export HOME="${T}"/home
}
src_prepare() {
if [[ ${PV} != 9999* ]] ; then
if [[ -d "${WORKDIR}"/patches/ ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
EPATCH_SUFFIX="patch" EPATCH_FORCE="yes" \
epatch "${WORKDIR}"/patches/
fi
fi
# Fixup a script to use awk instead of nawk
sed -i '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' "${S}"/runtime/tools/mve.awk \
|| die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.in || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.in || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c ; do echo >> "$c" ; done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]] ; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile
fi
if version_is_at_least 7.3.122 ; then
cp "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk
fi
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
if version_is_at_least 7.3 ; then
sed -i "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
fi
epatch_user
}
src_configure() {
local myconf
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.in is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -f src/auto/configure
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc* ; do
[[ -e ${file} ]] && addwrite $file
done
# Let Portage do the stripping. Some people like that.
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# Keep Gentoo Prefix env contained within the EPREFIX
use prefix && myconf+=" --without-local-dir"
econf \
--with-modified-by=Gentoo-${PVR} \
--enable-gui=no \
--without-x \
--disable-darwin \
--disable-perlinterp \
--disable-pythoninterp \
--disable-rubyinterp \
--disable-gpm \
--disable-selinux \
$(use_enable nls) \
$(use_enable acl) \
${myconf}
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake tools
}
src_test() { :; }
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dodir /usr/{bin,share/{man/man1,vim}}
cd src || die "cd src failed"
emake \
installruntime \
installmanlinks \
installmacros \
installtutor \